
CREATE SCHEMA PGCSCHEMA;


------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."JOBSTATUS"

------------------------------------------------

 

 CREATE TABLE "PGCSCHEMA"."JOBSTATUS"  (

		  "BJEENAME" VARCHAR(250) NOT NULL , 

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STATUS" INTEGER NOT NULL , 

		  "CURRENTSTEP" VARCHAR(250) , 

		  "RC" INTEGER NOT NULL , 
		  
		  "SUSPENDEDUNTIL" VARCHAR(250) ,

		  "LASTUPDATE" VARCHAR(250),

		 "UPDATECOUNT" INTEGER NOT NULL,
		
		 PRIMARY KEY (BJEENAME, JOBID ) )  ; 



------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."CHECKPOINTREPOSITORY"

------------------------------------------------


 

 CREATE TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "BATCHDATASTREAMNAME" VARCHAR(250) NOT NULL , 

		  "RESTARTTOKEN" VARCHAR(2970),
		  PRIMARY KEY (JOBID, STEPNAME,BATCHDATASTREAMNAME) )   

		 ; 




------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."JOBSTEPSTATUS"

------------------------------------------------

 

 CREATE TABLE "PGCSCHEMA"."JOBSTEPSTATUS"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "RC" INTEGER NOT NULL , 

		  "STEPSTATUS" INTEGER NOT NULL,
		  PRIMARY KEY (JOBID, STEPNAME ))   

		  ; 


COMMIT;




