//EEXREGRR JOB <job parameters>                                                 
//*********************************************************************         
//* Licensed Material - Property of IBM                               *         
//* 5655-P28 (C) Copyright IBM Corp. 2009                             *         
//*                                                                   *         
//* All Rights Reserved.                                              *         
//*                                                                   *         
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *         
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *         
//*                                                                   *         
//* Status = HEJD700                                                  *         
//* _________________________________________________________________ *         
//*                                                                   *         
//*  DO NOT run this job unless you previously purchased and          *         
//*  installed the software from program number 5655-S33 or program   *         
//*  number 5655-V66 and now have purchased program number 5655-P28   *         
//*  and want to update the registration FMID(s) without reinstalling *         
//*  the product(s).                                                  *         
//*                                                                   *         
//*  This JCL will do the RECEIVE for the installation of             *         
//*  the registration FMIDs for Program Number 5655-P28.              *         
//*                                                                   *         
//*  CAUTION: THIS IS NEITHER A JCL PROCEDURE NOR A COMPLETE JOB.     *         
//*  BEFORE USING THIS JOB STEP, YOU WILL HAVE TO MAKE THE FOLLOWING  *         
//*  MODIFICATIONS:                                                   *         
//*                                                                   *         
//*  1) Change the JOB CARD to meet your system requirements          *         
//*                                                                   *         
//*  2) Replace '#globalcsi' on the SMPCSI statement with your        *         
//*     CSI name.  Note that if you installed WebSphere Extended      *         
//*     Deployment and WebSphere eXtreme Scale in different CSIs and  *         
//*     are running this job for both you will need to change this    *         
//*     value between running this sample for the two CSIs.           *         
//*                                                                   *         
//*  3) Replace 'vvvvvv' on the SMPPTFIN DD statement with the        *         
//*     the correct VOLSER or for multiple volsers, replace 'vvvvvv'  *         
//*     with (vvvvvv,vvvvvv).                                         *         
//*                                                                   *         
//*  4) change #option with value corresponding to the set that was   *         
//*     ordered                                                       *         
//*                                                                   *         
//*     VECG:  If you previously installed either of the WebSphere    *         
//*            Extended Deployment Elements, Virtual Enterprise or    *         
//*            Compute Grid, under program number 5655-S33 and now    *         
//*            wish to take advantage of the special pricing of       *         
//*            program number 5655-P28.  This selection only installs *         
//*            the registration FMID and requires that EEXREREG be    *         
//*            run to clean up te old registration FMID (JEJE133)     *         
//*     XS:    If you previously installed WebSphere eXtreme Scale    *         
//*            purchased with program number 5655-V66 and now wish to *         
//*            take advantage of the special pricing of 5655-P28.     *         
//*            This selection only installs the registration FMID and *         
//*            requires that EEXXSREG be run to clean up the old      *         
//*            registration FMID (JEJD166)                            *         
//*                                                                   *         
//*  EXPECTED RETURN CODES AND MESSAGES: 0, no messages               *         
//*                                                                   *         
//*********************************************************************         
//STEP1   EXEC PGM=GIMSMP,REGION=0M,TIME=NOLIMIT                                
//SMPCSI  DD DSN=#globalcsi,DISP=SHR                                            
//SMPPTFIN DD DSN=SMPMCS,                                                       
//            UNIT=(TAPE,,DEFER),                                               
//            VOL=SER=vvvvvv,                                                   
//            LABEL=(1,SL),                                                     
//            DISP=(SHR,KEEP)                                                   
//SMPCNTL DD DDNAME=#option                                                     
//VECG DD *                                                                     
  SET BOUNDARY(GLOBAL) OPTIONS(ZOSOPT).                                         
  RECEIVE SELECT (JEJE128)                                                      
          SYSMODS LIST.                                                         
/*                                                                              
//XS   DD *                                                                     
  SET BOUNDARY(GLOBAL) OPTIONS(ZOSOPT).                                         
  RECEIVE SELECT (JEJD128)                                                      
          SYSMODS LIST.                                                         
/*                                                                              
//                                                                              
