#!/bin/sh
binDir=`dirname "$0"`

if [ "$WAS_HOME" != "" ]
then
	$WAS_HOME/java/bin/java -Xms128M -Xmx512M -cp $WAS_HOME/lib/odcnd.jar com.ibm.ws.odc.nd.util.PluginMergeTool $*
	
elif [ -f "$binDir/setupCmdLine.sh" ]
then
	. "$binDir/setupCmdLine.sh"
	$WAS_HOME/java/bin/java -Xms128M -Xmx512M -cp $WAS_HOME/lib/odcnd.jar com.ibm.ws.odc.nd.util.PluginMergeTool $*
	
else
	echo Please set your WAS_HOME environment variable
fi
