//EJDAPPLY JOB <JOB CARD PARAMETERS>                                            
//*********************************************************************         
//* Licensed Material - Property of IBM                               *         
//* 5655-P28 (C) Copyright IBM Corp. 2009                             *         
//*                                                                   *         
//* All Rights Reserved.                                              *         
//*                                                                   *         
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *         
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *         
//*                                                                   *         
//* Status = HEJD700                                                  *         
//* _________________________________________________________________ *         
//*                                                                   *         
//*  This JCL will do the APPLY for the installation of               *         
//*  WebSphere Extended Deployment V7.0 for z/OS.                     *         
//*                                                                   *         
//*  CAUTION: This is neither a JCL procedure nor a complete job.     *         
//*  Before using this job step, you will have to make the following  *         
//*  modifications:                                                   *         
//*                                                                   *         
//*  1) Add the job parameters to meet your system requirements       *         
//*  2) Change #globalcsi to the dataset name of your global          *         
//*     CSI data set                                                  *         
//*  3) Change #tzone to the name of your target zone                 *         
//*  4) Change #tzone1 #tzone2 #tzone3 to the name of the target      *         
//*     zone names that you wish to cross check                       *         
//*  5) change #option with value corresponding to the set that was   *         
//*     ordered                                                       *         
//*                                                                   *         
//*     BOTH:  If your first time installing  WebSphere eXtreme Scale *         
//*            is with the purchase of 5655-P28                       *         
//*     REG:   If you previously installed WebSphere eXtreme Scale    *         
//*            purchased with program number 5655-V66 and now wish to *         
//*            take advantage of the special pricing of 5655-P28.     *         
//*            This selection only installs the registration FMID and *         
//*            requires that EEXXSREG be run to clean up the old      *         
//*            registration FMID (JEJD166)                            *         
//*                                                                   *         
//*                                                                   *         
//*  Expected return code and messages: 0, no messages                *         
//*                                                                   *         
//*********************************************************************         
//STEP1 EXEC PGM=GIMSMP,REGION=0M,TIME=NOLIMIT                                  
//SMPCSI DD DSN=#globalcsi,DISP=SHR                                             
//SMPCNTL DD DDNAME=#option                                                     
//BOTH DD *                                                                     
  SET BOUNDARY(#tzone) .                                                        
  APPLY CHECK                                                                   
   FORFMID(HEJD700, JEJD128)                                                    
   SELECT(HEJD700, JEJD128)                                                     
   XZGROUP(#tzone1 #tzone2 #tzone3)                                             
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
//REG  DD *                                                                     
  SET BOUNDARY(#tzone) .                                                        
  APPLY CHECK                                                                   
   FORFMID(JEJD128)                                                             
   SELECT(JEJD128)                                                              
   XZGROUP(#tzone1 #tzone2 #tzone3)                                             
   GROUPEXTEND(NOAPARS,NOUSERMODS)                                              
   BYPASS(HOLDSYS, XZIFREQ).                                                    
/*                                                                              
//                                                                              
