-- This script creates Long Running Scheduler tables on an oracle db.
--
-- 1.Process this script using SQL*Plus
-- 2. Replace all occurrances of @LRSCHED_TABLESPACE@ with a valid tablespace that was 
--    created by the CreateLRSCHEDTablespaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@LRSCHED @updateSchedulerDBtoUseSequenceOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @updateSchedulerDBtoUseSequenceOracle.ddl

-- generate sequence number to be use as jobnumber
-- MAXVALUE must be set to equal to JOBIDCONTROL.CONTROLVALUE 		
CREATE SEQUENCE JOBNUMBER	
	START WITH 0
	INCREMENT BY 1
	MINVALUE 0
	MAXVALUE 999999
	CACHE 20
	CYCLE;	
